Last Comment Bug 700775 - Wrong buttons whether to send email confirmation or not
: Wrong buttons whether to send email confirmation or not
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Dialogs (show other bugs)
: Lightning 1.0b7
: All All
: -- normal with 1 vote (vote)
: 1.9.1
Assigned To: Decathlon
:
:
Mentors:
: 832089 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-08 12:39 PST by Hubert Figuiere [:hub]
Modified: 2013-03-10 07:37 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot of the dialog. (13.90 KB, image/png)
2011-11-08 12:39 PST, Hubert Figuiere [:hub]
no flags Details
patch - v1 (1.97 KB, patch)
2013-01-31 13:57 PST, Decathlon
matthew.mecca: review+
matthew.mecca: approval‑calendar‑aurora+
matthew.mecca: approval‑calendar‑beta+
matthew.mecca: approval‑calendar‑esr+
Details | Diff | Splinter Review

Description Hubert Figuiere [:hub] 2011-11-08 12:39:51 PST
Created attachment 572952 [details]
screenshot of the dialog.

I accepted a meeting invite.

I got the message "Would you like to send out notification E-Mail now?" with the two buttons [Cancel] [OK].

This is confusing. Buttons should be [No] [Yes].

See screenshot.
Comment 1 Dricks 2012-01-25 07:07:46 PST
I totally agree with that !
Comment 2 Dricks 2012-01-25 08:44:57 PST
Problem still there in 1.2b3 
Can you please have a look at it ?
Thanks
Comment 3 Felix Möller 2013-01-29 11:35:39 PST
*** Bug 832089 has been marked as a duplicate of this bug. ***
Comment 4 Decathlon 2013-01-31 13:57:02 PST
Created attachment 708787 [details] [diff] [review]
patch - v1

This patch should fix.
Comment 5 Matthew Mecca [:mmecca] 2013-01-31 18:11:27 PST
Comment on attachment 708787 [details] [diff] [review]
patch - v1

Review of attachment 708787 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good. r=mmecca

::: calendar/itip/calItipEmailTransport.js
@@ +214,5 @@
> +                                              null,
> +                                              null,
> +                                              null,
> +                                              cal.calGetString("lightning", "imipSendMail.Outlook2000CompatMode.text", null, "lightning"),
> +                                              inoutCheck) != 0) {

Since a return value of zero evaluates to false, and non-zero values to true, you can just use:

if (Services.prompt.confirmEx(...))

instead of:

if (Services.prompt.confirmEx(...) != 0)
Comment 6 Decathlon 2013-02-01 09:54:00 PST
(In reply to Matthew Mecca [:mmecca] from comment #5)
 
> Since a return value of zero evaluates to false, and non-zero values to
> true, you can just use:
> 
> if (Services.prompt.confirmEx(...))

Corrected in the changeset.

Pushed to comm-central: http://hg.mozilla.org/comm-central/rev/49fedca3c4b6
Comment 7 Decathlon 2013-02-01 10:01:29 PST
Matthew, could you also approve the other branches? ;)
Comment 8 Matthew Mecca [:mmecca] 2013-02-05 20:37:54 PST
Pushed to:
comm-aurora - https://hg.mozilla.org/releases/comm-aurora/rev/06f49a35fc65
comm-beta - https://hg.mozilla.org/releases/comm-beta/rev/6f3f31d3b381
Comment 9 Matthew Mecca [:mmecca] 2013-02-08 15:49:38 PST
comm-esr17 - https://hg.mozilla.org/releases/comm-esr17/rev/5ef751e0f2fe

Note You need to log in before you can comment on or make changes to this bug.